Debian Bug report logs - #612402
/usr/share/initramfs-tools/scripts/local-top/lvm2: initramfs hook does not activate volume group when root=UUID=... syntax used

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Ian Campbell <ijc@hellion.org.uk>

Date: Tue, 8 Feb 2011 10:57:01 UTC

Severity: important

Tags: patch

Found in versions lvm2/2.02.84-3.1, lvm2/2.02.66-5, lvm2/2.02.95-4

Blocking fix for 686130: hack for installing with btrfs raid1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Tue, 08 Feb 2011 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 08 Feb 2011 10:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/initramfs-tools/scripts/local-top/lvm2: initramfs hook does not activate volume group when root=UUID=... syntax used
Date: Tue, 08 Feb 2011 10:40:54 +0000
Package: lvm2
Version: 2.02.66-5
Severity: important
File: /usr/share/initramfs-tools/scripts/local-top/lvm2

When using the root=UUID=... syntax (the default with grub2) for a root
filesystem in LVM the local-top/lvm2 script does not activate the volume group
and the initramfs dumps me into a rescue shell. Running "lvm vgchange -aly" and
exiting the shell is sufficent to allow the boot to continue. Using
GRUB_DISABLE_LINUX_UUID=true in /etc/default/grub is also sufficient to work
around the issue.

This is because the script will bail on paths which don't start
/dev/mapper. Presumably this can be worked around by using
  lvm vgchange -aly --ignorelockingfailure
when $dev matches UUID=* (and perhaps LABEL=*?) similar to the existing LILO "fe[0-9]*"
and /dev/root workarounds.

I guess the current scheme would also break if one were to use the alternative
/dev/Vol00/root naming rather than /dev/mapper/Vol00-root? Maybe that's a case
of "don't do that then".

Ian.

-- System Information:
Debian Release: 6.0
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lvm2 depends on:
ii  dmsetup                      2:1.02.48-5 The Linux Kernel Device Mapper use
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1           2:1.02.48-5 The Linux Kernel Device Mapper use
ii  libreadline5                 5.2-7       GNU readline and history libraries
ii  libudev0                     164-4       libudev shared library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip

lvm2 recommends no packages.

lvm2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Thu, 28 Jul 2011 12:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 28 Jul 2011 12:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 612402@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 612402@bugs.debian.org
Cc: Ian Campbell <ijc@hellion.org.uk>
Subject: Re: Bug#612402: /usr/share/initramfs-tools/scripts/local-top/lvm2: initramfs hook does not activate volume group when root=UUID=... syntax used
Date: Thu, 28 Jul 2011 14:23:10 +0200
* Ian Campbell <ijc@hellion.org.uk>, 2011-02-08, 10:40:
>When using the root=UUID=... syntax (the default with grub2) for a root 
>filesystem in LVM the local-top/lvm2 script does not activate the 
>volume group and the initramfs dumps me into a rescue shell. Running 
>"lvm vgchange -aly" and exiting the shell is sufficent to allow the 
>boot to continue. Using GRUB_DISABLE_LINUX_UUID=true in 
>/etc/default/grub is also sufficient to work around the issue.
>
>This is because the script will bail on paths which don't start 
>/dev/mapper. Presumably this can be worked around by using
>  lvm vgchange -aly --ignorelockingfailure
>when $dev matches UUID=* (and perhaps LABEL=*?) similar to the existing 
>LILO "fe[0-9]*" and /dev/root workarounds.
>
>I guess the current scheme would also break if one were to use the 
>alternative /dev/Vol00/root naming rather than /dev/mapper/Vol00-root?

Oh yes, it does break in such a case, too. I "tested" it today in 
practice. :/

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Tue, 23 Aug 2011 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georg Gast <schorsch_76@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 18:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 612402@bugs.debian.org (full text, mbox):

From: Georg Gast <schorsch_76@gmx.de>
To: 612402@bugs.debian.org
Subject: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Tue, 23 Aug 2011 20:23:03 +0200
Package: lvm2
Version: 2.02.84-3.1

--- Please enter the report below this line. ---
linux-image-2.6.38-bpo2-amd64 is able to boot from my VG 
"/dev/Desktop/root" but linux-image-3.0.0-1-amd64 is not able to boot 
from this VG.

I upgraded today my squeeze to wheezy and let the 2.6.38 kernel installed.

grub 1.99

Best Regards
Georg Gast

--- System information. ---
Architecture: amd64
Kernel: Linux 2.6.38-bpo.2-amd64

Debian Release: wheezy/sid
500 testing ftp.de.debian.org

--- Package information. ---
Depends (Version) | Installed
=====================================-+-===============
libc6 (>= 2.3) | 2.13-16
libdevmapper1.02.1 (>= 2:1.02.63) | 2:1.02.63-3.1
libreadline5 (>= 5.2) | 5.2-8
libudev0 (>= 0.140) | 172-1
lsb-base | 3.2-27
dmsetup (>> 2:1.02.47) | 2:1.02.63-3.1


Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Tue, 23 Aug 2011 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 19:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 612402@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Georg Gast <schorsch_76@gmx.de>, 612402@bugs.debian.org
Subject: Re: Bug#612402: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Tue, 23 Aug 2011 21:53:15 +0200
Hello Georg,

2011/8/23 Georg Gast <schorsch_76@gmx.de>:

> linux-image-2.6.38-bpo2-amd64 is able to boot from my VG "/dev/Desktop/root"
> but linux-image-3.0.0-1-amd64 is not able to boot from this VG.
>
> I upgraded today my squeeze to wheezy and let the 2.6.38 kernel installed.
>
> grub 1.99

Could you please provide more information? Error message or some way
to reproduce this behaviour. Why do you think is lvm2 related?

With best regards,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 24 Aug 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 24 Aug 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 612402@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Georg Gast <schorsch_76@gmx.de>
Cc: 612402@bugs.debian.org
Subject: Re: Bug#612402: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Wed, 24 Aug 2011 19:14:16 +0100
Hello Georg,

  Please let's try to keep CC to the bug report, so others can see.

2011/8/24 Georg Gast <schorsch_76@gmx.de>:
> Am 23.08.2011 21:53, schrieb Hector Oron:
>>
>> Hello Georg,
>>
>> 2011/8/23 Georg Gast<schorsch_76@gmx.de>:
>>
>>> linux-image-2.6.38-bpo2-amd64 is able to boot from my VG
>>> "/dev/Desktop/root"
>>> but linux-image-3.0.0-1-amd64 is not able to boot from this VG.
>>>
>>> I upgraded today my squeeze to wheezy and let the 2.6.38 kernel
>>> installed.
>>>
>>> grub 1.99
>>
>> Could you please provide more information? Error message or some way
>> to reproduce this behaviour. Why do you think is lvm2 related?
>>
>> With best regards,
>
> Hello Hector,
> today i tried a fresh installation of wheezy in a kvm. I named my VG Desktop
> and made a minimal debian system installation. The kvm system did boot in
> this constellation.
>
> All i know for sure (until now) is, that linux 3.0.0-1-amd64 is not able to
> boot from my VG and 2.6.38-bpo is able to boot from the very same
> hardware/installation. The grub2 parameters are the same (except the kernel
> name).
>
> Error message with linux 3.0.0:
>
> --------------
> Begin: waiting for root file system ... done
> Gave up waiting for root device. Common Problems:
>  - Boot args (cat /proc/cmdline)
>    - Check rootdelay= (did the system wait long enough?)
>    - Check root= (did the system wait for the right device?)
>  - Missing modules (cat /proc/modules; ls /dev)
>
> ALERT! /dev/mapper/Desktop-root does not exist. Dropping to a shell!
> --------------
>
> Yes, the system did wait long enough.
> Yes, the module 3w_9xxx is present in the initrd (cat /proc/modules)
> Yes, the device is present (ls /dev/sda1)
> Yes, the root device name is right (/dev/mapper/Desktop-root)
>
> The commandline for the kernel was:
> BOOT_IMAGE=/vmlinuz-3.0.0-1-amd64 root=/dev/mapper/Desktop-root ro single

This line hints your root filesystem was booting into read-only single
mode. Likely root filesystem needed fsck.

> Things to note:
> The difference between the two scenarios seems to me, that my "real hard
> disk VG" is relativly old and was originally installed with lenny. I think
> it might be a problem with migration from the "old lenny/squeeze" VG to the
> new wheezy VG.
>
> Dont know what happened: Today after the second try to boot the linux-3.0.0
> it did finally work.

So, it's the problem away? can we close the bug?

> I made a photo of the error message and attached it.
>
> Best regards
> Georg Gast
>
>
>
>



-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Thu, 25 Aug 2011 15:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georg Gast <schorsch_76@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 25 Aug 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 612402@bugs.debian.org (full text, mbox):

From: Georg Gast <schorsch_76@gmx.de>
To: Hector Oron <hector.oron@gmail.com>
Cc: 612402@bugs.debian.org
Subject: Re: Bug#612402: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Thu, 25 Aug 2011 17:37:11 +0200
Hello Hector,
> So, it's the problem away? can we close the bug?
Yes, i think it can be closed :)

Bye Bye
Georg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Thu, 25 Aug 2011 16:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 25 Aug 2011 16:12:06 GMT) Full text and rfc822 format available.

Message #35 received at 612402@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 612402@bugs.debian.org
Subject: Re: Bug#612402: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Thu, 25 Aug 2011 18:08:52 +0200
* Hector Oron <hector.oron@gmail.com>, 2011-08-24, 19:14:
>Hello Georg,
[...]
>So, it's the problem away? can we close the bug?

Wait, wait, Georg is not the submitter of this bug. Why do you ask him?

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Thu, 25 Aug 2011 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 25 Aug 2011 16:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 612402@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 612402@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#612402: [lvm2] Linux 3.0.0 is not able to boot from a LVM with a Uppercase name like "Desktop"
Date: Thu, 25 Aug 2011 17:22:58 +0100
Hello,

2011/8/25 Jakub Wilk <jwilk@debian.org>:
> * Hector Oron <hector.oron@gmail.com>, 2011-08-24, 19:14:
>>
>> Hello Georg,
>
> [...]
>>
>> So, it's the problem away? can we close the bug?
>
> Wait, wait, Georg is not the submitter of this bug. Why do you ask him?

Uhm... right, looking to
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612402> shows the
full thread. From the email format Georg sent I guessed it was a new
bug report. Sorry for that.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 05 Oct 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Giefing <nico.giefing@sber.co.at>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 05 Oct 2011 10:09:07 GMT) Full text and rfc822 format available.

Message #45 received at 612402@bugs.debian.org (full text, mbox):

From: Nico Giefing <nico.giefing@sber.co.at>
To: 612402@bugs.debian.org
Subject: same Problem
Date: Wed, 05 Oct 2011 11:59:07 +0200
Hi,

I updated the kernel of my squeeze-installation to the new wheezy-kernel 
and got the same problem (the kernel could not find 
/dev/mapper/vg-root), with " lvm vgchange -aly" i got it running, but  i 
have to do it on each reboot.

i think thats in some way a problem of linux-image-3.0.x, on the same 
machine the 2.6.39 of backports and 2.6.32 is working fine.

regards
Nico





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 25 Jan 2012 21:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georg Gast <schorsch_76@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 25 Jan 2012 21:09:27 GMT) Full text and rfc822 format available.

Message #50 received at 612402@bugs.debian.org (full text, mbox):

From: Georg Gast <schorsch_76@gmx.de>
To: 612402@bugs.debian.org
Subject: Link to that netinstall image
Date: Wed, 25 Jan 2012 22:07:22 +0100
Dear maintainers!

Here [1] is the link to that image which works.

[1] 
http://cdimage.debian.org/mirror/cdimage/archive/5.0.1/amd64/iso-cd/debian-501-amd64-netinst.iso

Best Regards
Georg Gast




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Sun, 19 Aug 2012 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 19 Aug 2012 09:27:03 GMT) Full text and rfc822 format available.

Message #55 received at 612402@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 612402@bugs.debian.org
Subject: same problem, detailed recovery steps
Date: Sun, 19 Aug 2012 09:25:46 +0000


I had the same problem on a squeeze-wheezy upgrade test today.  I have
same setup as original poster, using root=UUID=xxxxx

I have raised the severity to critical, because the definition of a
critical bug includes any bug that causes the whole system to break
(even if there is no loss of data).  This could impact many users when
wheezy is released.  At a bare minimum, if UUID is no longer supported,
it should be detected and the upgrade should abort with a meaningful error.

update-initramfs didn't give any error during upgrade

After upgrade, I did a reboot test

Boot failed, dropping me in the busybox shell with the "Gave up waiting
for root device" message

It was not necessary to use any recovery CD, in busybox, I just did:

lvm
vgchange -ay
exit
exit

and it continued booting from there

After booting, it is necessary to take these steps to fix (workaround)
permanently:

Edit /etc/default/grub, make sure this setting is present:
GRUB_DISABLE_LINUX_UUID=true

After changing the setting, run

update-grub
update-initramfs -u

and then reboot and it comes up normally.

Here are the versions of related packages:

# dpkg --list | egrep 'lvm|initramfs|grub' | tr -s ' ' | cut -f2,3 -d' '
grub 0.97-66
grub-common 1.99-22.1
grub-doc 0.97-66
grub-legacy-doc 0.97-66
grub-pc 1.99-22.1
grub-pc-bin 1.99-22.1
grub2-common 1.99-22.1
initramfs-tools 0.107
libklibc 2.0.1-1
liblvm2app2.2:amd64 2.02.95-4
lvm2 2.02.95-4




Marked as found in versions lvm2/2.02.95-4. Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Sun, 19 Aug 2012 09:27:05 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'important' Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Sun, 19 Aug 2012 09:27:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 19 Aug 2012 09:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 29 Aug 2012 12:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 29 Aug 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #66 received at 612402@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 612402@bugs.debian.org
Subject: UUID may be needed for btrfs RAID (patch)
Date: Wed, 29 Aug 2012 14:46:50 +0200


I discovered another issue related to this

Basically, for btrfs RAID, where the RAID is formed from logical
volumes, scripts/local-top/lvm2 only calls

   lvchange -ay something

for the first LV in the RAID.

E.g. if I have root=/dev/mapper/vg00-lv0 then my other LV,
/dev/mapper/vg00-lv1 is never activated.

This means that `btrfs dev scan' fails to find the array.

One way to solve this issue would be listing the btrfs filesystem's UUID as

     root=UUID=xxxxxx

Here is a patch that solves the original issue and provides a way to
boot btrfs RAID1, I tested this on a fresh installed of wheezy from
beta1 DVD:




--- scripts/local-top/lvm2.orig	2012-08-29 14:37:04.672826476 +0200
+++ scripts/local-top/lvm2	2012-08-29 14:38:04.118536514 +0200
@@ -35,6 +35,10 @@
 		lvm vgchange -aly --ignorelockingfailure
 		exit 0
 		;;
+	/dev/disk/by-uuid/*)
+		lvm vgchange -aly --ignorelockingfailure
+		exit 0
+		;;
 	esac

 	# Make sure that we have a d-m path





Added tag(s) patch. Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Wed, 29 Aug 2012 12:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 29 Aug 2012 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 29 Aug 2012 13:12:06 GMT) Full text and rfc822 format available.

Message #73 received at 612402@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 612402@bugs.debian.org
Subject: more of the patch
Date: Wed, 29 Aug 2012 15:09:55 +0200

This is also needed to correctly generate /boot/grub/grug.cfg with UUID
syntax for btrfs RAID on top of lvm:



--- /etc/grub.d/10_linux.orig	2012-08-29 15:01:29.808976702 +0200
+++ /etc/grub.d/10_linux	2012-08-29 15:06:36.574297444 +0200
@@ -50,7 +50,7 @@

 if [ "x${GRUB_DEVICE_UUID}" = "x" ] || [ "x${GRUB_DISABLE_LINUX_UUID}"
= "xtrue" ] \
     || ! test -e "/dev/disk/by-uuid/${GRUB_DEVICE_UUID}" \
-    || uses_abstraction "${GRUB_DEVICE}" lvm; then
+    || (uses_abstraction "${GRUB_DEVICE}" lvm && [ ${GRUB_FS} != btrfs
] ); then
   LINUX_ROOT_DEVICE=${GRUB_DEVICE}
 else
   LINUX_ROOT_DEVICE=UUID=${GRUB_DEVICE_UUID}



Added indication that bug 612402 blocks 686130 Request was from Daniel Pocock <daniel@pocock.com.au> to control@bugs.debian.org. (Wed, 29 Aug 2012 13:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Sun, 07 Apr 2013 16:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 07 Apr 2013 16:18:04 GMT) Full text and rfc822 format available.

Message #80 received at 612402@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ian Campbell <ijc@hellion.org.uk>, debian-devel@lists.debian.org
Cc: 612402@bugs.debian.org
Subject: Re: upgraded systems won't boot from UUID volumes
Date: Sun, 07 Apr 2013 17:15:02 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2013-04-07 at 16:19 +0200, Daniel Pocock wrote:
> On 07/04/13 15:47, Neil Williams wrote:
> > On Sun, 07 Apr 2013 15:25:43 +0200 Daniel Pocock
> > <daniel@pocock.com.au> wrote:
> > 
> >> I notice this bug was downgraded below the RC threshold and
> >> appears to have been missed so far:
> > 
> > It was only pushed to RC status by your request and then almost 
> > immediately moved back to original severity of Important by one of
> > the maintainers.
> > 
> > It is up to the maintainers to assign severity of bugs. Why have
> > you not asked the maintainers of their opinion of the severity?
> > 
> 
> Because they already downgraded below the RC status, so I'm curious if
> other people have reason to believe there is a problem.
> 
> I have only come across a few systems with UUID in fstab,

If you *don't* use LVM this is normal, as device names are not stable.

> but if
> somebody else is aware of widespread use of this, now is probably the
> time to comment.

I just did some install and upgrade tests:

1. I installed squeeze and selected guided partitioning using LVM.  The
installer put /dev/mapper/* names in /etc/fstab (and also created a
non-LVM /boot formatted as ext2!).  Upgrading to wheezy worked fine.

2. I installed squeeze and selected 'manual partitioning' and created a
pure LVM layout with root and swap LVs.  This also resulted in
/dev/mapper/* names in /etc/fstab.

3. Running 'dpkg-reconfigure linux-base' did not change these device
names, as expected (it should only touch IDE and SCSI device names).

So it seems that this is only going to be an issue if users take the
unusual step of changing /etc/fstab to refer to LVs by UUID.  But maybe
there are management tools that do that as a matter of course?

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Sun, 07 Apr 2013 17:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 07 Apr 2013 17:57:09 GMT) Full text and rfc822 format available.

Message #85 received at 612402@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-devel@lists.debian.org
Cc: 612402@bugs.debian.org
Subject: Re: upgraded systems won't boot from UUID volumes
Date: Sun, 7 Apr 2013 10:53:07 -0700
[Message part 1 (text/plain, inline)]
On Sun, Apr 07, 2013 at 04:01:25PM +0100, Roger Leigh wrote:

> UUIDs are used by default AFAICS when the installer creates the
> fstab, and should work just fine.  Just looking and I don't have
> an example system which uses UUIDs /and/ LVM root, however--this
> does not appear to be the default for LVM.  While this is an
> important issue, the fact that it's not hit by default might be
> one reason for lowering the severity.

They are not used by default for filesystems on LVM, because LVM volume
names are already unique identifiers and fs UUIDs are *not* due to
snapshotting.

So the patch here may or may not be appropriate to apply, but in no case
should you be referencing LVM volumes by UUID on /etc/fstab.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Mon, 08 Apr 2013 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 08 Apr 2013 00:45:04 GMT) Full text and rfc822 format available.

Message #90 received at 612402@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Ian Campbell <ijc@hellion.org.uk>, debian-devel@lists.debian.org, 612402@bugs.debian.org
Subject: Re: upgraded systems won't boot from UUID volumes
Date: Sun, 7 Apr 2013 21:43:45 -0300
On Sun, 07 Apr 2013, Ben Hutchings wrote:
> So it seems that this is only going to be an issue if users take the
> unusual step of changing /etc/fstab to refer to LVs by UUID.  But maybe
> there are management tools that do that as a matter of course?

One should never use UUIDs in fstab to refer to non-unique filesystems
(which is pretty much a normal thing with LVM, as the use of snapshotting is
common).  Any management tools that screw this up need a reality check (and
post-haste bug fix).

Doing otherwise is courting a data loss scenario.  We've seen it happen a
large number of times over the years because of the md 0.90 layout, until
userspace tools started to add defensive layers to make it less likely to
happen.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Mon, 08 Apr 2013 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 08 Apr 2013 06:57:04 GMT) Full text and rfc822 format available.

Message #95 received at 612402@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: Ben Hutchings <ben@decadent.org.uk>, debian-devel@lists.debian.org
Cc: Ian Campbell <ijc@hellion.org.uk>, 612402@bugs.debian.org
Subject: Re: upgraded systems won't boot from UUID volumes
Date: Mon, 08 Apr 2013 08:53:15 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256



On 07/04/13 18:15, Ben Hutchings wrote:
> On Sun, 2013-04-07 at 16:19 +0200, Daniel Pocock wrote:
>> On 07/04/13 15:47, Neil Williams wrote:
>>> On Sun, 07 Apr 2013 15:25:43 +0200 Daniel Pocock 
>>> <daniel@pocock.com.au> wrote:
>>> 
>>>> I notice this bug was downgraded below the RC threshold and 
>>>> appears to have been missed so far:
>>> 
>>> It was only pushed to RC status by your request and then almost
>>>  immediately moved back to original severity of Important by
>>> one of the maintainers.
>>> 
>>> It is up to the maintainers to assign severity of bugs. Why
>>> have you not asked the maintainers of their opinion of the
>>> severity?
>>> 
>> 
>> Because they already downgraded below the RC status, so I'm
>> curious if other people have reason to believe there is a
>> problem.
>> 
>> I have only come across a few systems with UUID in fstab,
> 
> If you *don't* use LVM this is normal, as device names are not
> stable.
> 
>> but if somebody else is aware of widespread use of this, now is
>> probably the time to comment.
> 
> I just did some install and upgrade tests:
> 
> 1. I installed squeeze and selected guided partitioning using LVM.
> The installer put /dev/mapper/* names in /etc/fstab (and also
> created a non-LVM /boot formatted as ext2!).  Upgrading to wheezy
> worked fine.
> 
> 2. I installed squeeze and selected 'manual partitioning' and
> created a pure LVM layout with root and swap LVs.  This also
> resulted in /dev/mapper/* names in /etc/fstab.

I'm not suggesting that squeeze systems were installed that way by
default, although people who have migrated an FS from a raw partition
to an LV may have this in fstab.

> 3. Running 'dpkg-reconfigure linux-base' did not change these
> device names, as expected (it should only touch IDE and SCSI device
> names).
> 
> So it seems that this is only going to be an issue if users take
> the unusual step of changing /etc/fstab to refer to LVs by UUID.
> But maybe there are management tools that do that as a matter of
> course?


As noted in the bug, somebody using a btrfs root FS (re-assembly of
multiple volumes) may also have a problem if all those LVs are not
active, and UUID may solve that for them.  Once again, that is not an
FS layout that any previous installer would have created
automatically, but it is a valid way to mount a root filesystem.

Maybe this is just something to be noted in the release notes, or if
there are other issues like this that people have in mind, maybe it
would be possible to write a pre-upgrade check script that users can
download and run to find out about things like this before they
upgrade.  I don't mind helping out with such a script if nobody else
has started on one already.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJRYmlbAAoJEOm1uwJp1aqDLDwP/Rs7GN9m/5hgWiRABnXrcG8k
OAItn9goEKppV0crR6f3lnMS2ISQ+O+n2hZdQne/K5Dna19kM5UCAnSGxJqibx8U
7saDsdke4M54o76rBGYu4pMffN1uApF1v40dIE8R8dYUfIjSbOMEOlYQXtc7ciJ8
m6jjL/2haVqgaEQeN3Dy2n6gCT16o6OBsjCqIxOCrN5NosThxHDubbNHUuBN2c47
6zMO4XAG5l94r16CvNOiUVyn4eVfTesKly+vRoXUci02UzhSZs6G18//Ks3E0RIM
ZI7JZ3cSK52YROpr+nCTLTqSCLqIMkPZJmRacT+8RquZEuP1ER+Vq2s/ANXpijZX
ZhFtK1FuhDkuurZNY04PPZQuAUlQ9rT5UZPlNG879e9iZtc9DOr9vvLt1WwE75wi
udjpMEvM2LMsGUaf2KzupK6yfhnWbXEEmEWmk4WnkRHKcAJraGvY1NDeeEjm2aDv
d1dUcOxOr0VIbXhJ35Q+ouLVIEBf2hyd2SWi+wgl56VwyG4ZAEwHNUDQsZrCQRD7
wSVN2scefhchijDNcY+4hsyKjl1eZHEaDCZC3JH5QMofVR8i4jMDrgML8bjP5K+N
q2Dujv6oANdXmC7q/ZTlenjLdSWibvCLF8LsaNoIHEj4mQ8tJm8m5Byx2E1tTRzj
lO2wZJHuIiUtn6K3h/Yr
=7RE5
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Tue, 09 Apr 2013 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 09 Apr 2013 07:15:04 GMT) Full text and rfc822 format available.

Message #100 received at 612402@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: debian-devel@lists.debian.org, 612402@bugs.debian.org
Subject: Re: upgraded systems won't boot from UUID volumes
Date: Tue, 09 Apr 2013 08:12:42 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2013-04-07 at 17:15 +0100, Ben Hutchings wrote:
> 
> So it seems that this is only going to be an issue if users take the
> unusual step of changing /etc/fstab to refer to LVs by UUID.  But
> maybe there are management tools that do that as a matter of course? 

I vaguely recall the occasion which caused me to file this bug report
but I can't recall any of the specifics about how I got into this state.
(Which points to something of a shortcoming in my bug report, sorry).

I do notice that I sent the report from a work machine so it might be
something to do with Xen, but it is equally likely to be something on
one of our server machines or I just happened to send it from work in my
lunch hour.

I can't think of a reason why I would have deliberately switched from
the LV name to a UUID in fstab, but that's not to say I didn't. It's
also possible that this was just a transient issue in the installer or
grub or some other component which is gone now.

Sorry for not being much help here.

Ian.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Fri, 26 Apr 2013 02:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick M. Daly <nick.m.daly@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 26 Apr 2013 02:36:04 GMT) Full text and rfc822 format available.

Message #105 received at 612402@bugs.debian.org (full text, mbox):

From: Nick M. Daly <nick.m.daly@gmail.com>
To: 612402@bugs.debian.org
Subject: Search to Find Affected fstab lines?
Date: Thu, 25 Apr 2013 21:32:00 -0500
[Message part 1 (text/plain, inline)]
Hi folks, is there a known grep (or similar) command to identify
affected /etc/fstab files before the wheezy upgrade?

If an affected file is found, what is an appropriate clean up?

For example, I found the following in my own /etc/fstab and, having read
this bug from top to bottom, am still unclear whether or not I am
affected.  Are only "^root=UUID=" lines affected, or are "UUID=" lines
also affected?

/etc/fstab:

    # /boot was on /dev/sda1 during installation
    UUID=130c3014-afa2-4c10-9ab0-bdbfccb61aaf /boot           ext2    defaults        0       2

Thanks for your time and help,
Nick
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Tue, 02 Jul 2013 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 02 Jul 2013 21:45:09 GMT) Full text and rfc822 format available.

Message #110 received at 612402@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: 612402@bugs.debian.org
Subject: Similar issue, system suddenly needs help to boot up
Date: Tue, 2 Jul 2013 23:43:29 +0200
I just got a similar problem, where my testing amd64 machine stopped
booting after I had to shut it down.  Previous boot had occured on May
22th, and quite a lot of packages were updated since that time,
including linux-image-3.2.0-4-amd64, which was the running kernel,
from 3.2.41-2 to 3.2.46-1.

As others described, I get a complain about a partition UUID not being
found, get dropped to an initramfs shell, and after manually running
"vgchange -ay" the boot does proceed fine.

Any hint about what to look for ?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Wed, 03 Jul 2013 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 03 Jul 2013 20:03:04 GMT) Full text and rfc822 format available.

Message #115 received at 612402@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: 612402@bugs.debian.org
Subject: Re: Bug#612402: Info received (Similar issue, system suddenly needs help to boot up)
Date: Wed, 3 Jul 2013 22:01:32 +0200
Just to confirm: my situation is really the same that has been
described in this bugreport.  When dropped into the initramfs shell I
can verify that ROOT=/dev/disk/by-uuid/xxxx, and furthermore, I also
have resume=UUID=xxxx trying to reference my swap partition.

If I just set them to the /dev/mapper/vg-lv paths expected by
local-top/lvm2 and rerun the script, the LVs are properly activated.

Now:

* I did not recall changing anything in that field, so whatever change
  in whatever package, that is responsible for this seems to warrant
  the "critical" severity this bug used to have.  It may be more
  tricky than just "grub uses UUID by default and LVM does not want
  that", but we have to track this problem.

* both ROOT and resume seem to be set by
  /usr/share/initramfs-tools/init which belongs to package initramfs.
  Although it was updated from 0.112 to 0.113 since the last succesful
  boot, there is change in that area, and what it does to set ROOT
  from the kernel commandline seems legit.  I can't say the same for
  "resume", which apparently should go through the same processing but
  fails to.

* that switches the focus to whoever sets root=UUID= on the
  commandline, and /etc/grub.d/10_linux seems to be where the thing
  originates.  There we have a test looking at « uses_abstraction
  "${GRUB_DEVICE}" lvm » that should just avoid the issue completely,
  and obviously fails.  Grub had been updated one month before from
  1.99-27 to 1.99-27+deb7u1 - this change includes something labelled
  "TPU upload to lose dependency blockage on LVM." and in fact Daniel
  Pocock already reported Bug#707831 with a short and clear statement,
  just a pity this was not mentionned here...

I'll raise the severity of Bug#707831.  You may want to keep this one
open so users are aware of the problem, or just reasign/merge with
that other bug...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Sun, 30 Mar 2014 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 30 Mar 2014 17:42:05 GMT) Full text and rfc822 format available.

Message #120 received at 612402@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 612402@bugs.debian.org
Subject: datapoint
Date: Sun, 30 Mar 2014 13:32:05 -0400
[Message part 1 (text/plain, inline)]
As a datapoint, I got a VM from a low-end VPS provider, and it came
configured exactly this way; lvm with UUID in fstab. I can
reproduce the bug by reimaging the VM and upgrading it from stable
to unstable.

This configuration doesn't make much sense. 
However, there are many possible configurations that don't make much
sense, and leaving the user with an unbootable system on upgrade is not
the experience Debian strives for.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#612402; Package lvm2. (Sun, 30 Mar 2014 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 30 Mar 2014 18:06:04 GMT) Full text and rfc822 format available.

Message #125 received at 612402@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 612402@bugs.debian.org
Subject: Re: datapoint
Date: Sun, 30 Mar 2014 14:03:38 -0400
[Message part 1 (text/plain, inline)]
I've found another bug in grub's lvm probing that caused this same
problem with the UUID to have surfaced in my case. See #743126

I hesitate to say that fixing that bug closes this one. There seem to be
multiple failure modes that get a UUID into the kernel command line for
LVM root filesystems, and so it would probably be good to defend against
that in depth by noticing when this has happened and either a) fix it
or b) make the initramfs robust enough to manage to boot successfully.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:37:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.